UbixOS V2 2.0

Functions
ethernetif.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
err_t | ethernetif_init (struct netif *netif)

## Function Documentation

## ◆ ethernetif_init()

err_t ethernetif_init | ( | struct netif * | netif | ) |

Should be called at the beginning of the program to set up the network interface. It calls the function low_level_init() to do the actual setup of the hardware.

This function should be passed as a parameter to netif_add().

Parameters

  netif | the lwip network interface structure for this ethernetif

Returns
  ERR_OK if the loopif is initialized ERR_MEM if private data couldn't be allocated any other err_t on error

Definition at line 302 of file ethernetif.c.

References ERR_MEM, IFNAME0, IFNAME1, netif::linkoutput, LWIP_ASSERT, LWIP_DEBUGF, mem_malloc(), netif::name, NETIF_DEBUG, NULL, and netif::state.

Referenced by net_init().

Here is the call graph for this function: